/* @font-face {
  font-family: "HeadingNow56Bold";
  src: url("../fonts/HeadingNowTrial-56Bold.ttf"),
    url("../fonts/HeadingNowTrial-56BoldItalic.ttf");
} */
@font-face {
  font-family: "Montserrat";
  /* src: url('putanja/do/fonta/montserrat-regular.ttf') format('truetype'); promijenite putanju i naziv datoteke prema stvarnoj lokaciji vaših fontova */
  src: url("../fonts/Montserat/Montserrat-Regular.ttf") format("truetype"); /* promijenite putanju i naziv datoteke prema stvarnoj lokaciji vaših fontova */
  font-weight: normal;
  font-style: normal;
}
* {
  font-family: "HeadingNow56Bold";
  text-align: center;
}

.text-area {
  width: 40%;
  color: white;
}

.text-area p span {
  font-family: "Roboto", sans-serif;
  font-weight: 800;
  font-style: normal;
  line-height: inherit;
  vertical-align: middle;
}

.container {
  max-width: 400px;
  margin: 0 auto;
  padding: 20px;
  background-color: #ffffff;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.login-btn {
  font-family: "HeadingNow56Bold";
  margin-bottom: 4px;
}

.container h2 {
  text-align: center;
}

.form-group {
  margin-bottom: 20px;
}

label {
  display: block;
  font-weight: bold;
  margin-bottom: 5px;
  color: #08d5f9;
  width: 100%;
  font-family: "HeadingNow56Bold";
}
input[type="text"],
input[type="password"] {
  font-family: "HeadingNow56Bold";
}
input[type="tel"],
input[type="email"] {
  font-family: sans-serif;
}
input[type="text"],
input[type="email"],
input[type="password"],
input[type="tel"] {
  padding: 10px;
  text-align: center;
  color: white;
  background-color: rgba(218, 218, 218, 0);
  border: 1px solid #08d5f9;
  border-radius: 25555px;
  font-size: 16px;
}

input[type="checkbox"] {
  margin-right: 5px;
}

/* validacija forme start */

.required:invalid {
  border-color: red;
}

.required:invalid + .error-message {
  display: block;
}

.error-message {
  display: none;
  color: red;
  font-size: 12px;
}

/* validacija forme end */

button {
  display: block;
  width: 100%;
  padding: 10px;
  background-color: #08d5f9;
  color: #fff;
  border: none;
  border-radius: 25555px;
  font-size: 16px;
  cursor: pointer;
}

button:hover {
  background-color: #0bbbda;
}
.hide {
  display: none !important;
}
.visible {
  display: flex !important;
}
h1 {
  padding-bottom: 10px;
  color: white;
}
.loading-page {
  display: flex;
  position: absolute;
  top: 0;
  z-index: 1;
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("../sprites/backgrounds/stadium.jpg") center center no-repeat;
  background-size: cover;
  width: 100%;
  height: 100vh;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

footer {
  padding: 40px 20px;
  display: flex;
  width: 40%;
  align-items: center;
}

footer div {
  padding: 30px 0px;
  display: flex;
  justify-content: space-between;
}

footer div svg {
  margin-right: 20px;
}

footer div a {
  color: white;
  text-decoration: none;
}

@media only screen and (max-width: 768px) {
  footer {
    display: grid;
    grid-template-columns: auto auto;
    width: 100%;
    padding: 20px 0;
  }
  hr {
    display: none;
  }
  footer div {
    padding: 10px 0;
    justify-content: center;
  }
  footer div svg {
    margin-right: 10px;
  }
  .text-area {
    width: 90%;
    color: white;
  }
}

.instagram {
  background: #f09433;
  background: -moz-linear-gradient(
    45deg,
    #f09433 0%,
    #e6683c 25%,
    #dc2743 50%,
    #cc2366 75%,
    #bc1888 100%
  );
  background: -webkit-linear-gradient(
    45deg,
    #f09433 0%,
    #e6683c 25%,
    #dc2743 50%,
    #cc2366 75%,
    #bc1888 100%
  );
  background: linear-gradient(
    45deg,
    #f09433 0%,
    #e6683c 25%,
    #dc2743 50%,
    #cc2366 75%,
    #bc1888 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f09433', endColorstr='#bc1888',GradientType=1 );
  transition: background 0.3s; /* Dodajemo tranziciju kako bi boja pozadine postepeno prelazila */
}

.instagram:hover {
  background: -moz-linear-gradient(
    45deg,
    #e6833d 0%,
    #d55c42 25%,
    #c63948 50%,
    #b3286b 75%,
    #a81d84 100%
  );
  background: -webkit-linear-gradient(
    45deg,
    #e6833d 0%,
    #d55c42 25%,
    #c63948 50%,
    #b3286b 75%,
    #a81d84 100%
  );
  background: linear-gradient(
    45deg,
    #e6833d 0%,
    #d55c42 25%,
    #c63948 50%,
    #b3286b 75%,
    #a81d84 100%
  );
}

.facebook {
  background: #4267b2;
}
.facebook:hover {
  background: #395999;
}

/* tabela */
.user-data {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  overflow: hidden;
}

.table-container {
  max-height: 90%;
  overflow-y: auto;
}

.user-table {
  width: 100%;
  border-collapse: collapse;
  background-color: #08d5f950;
  margin-top: 20px;
}

.user-table th,
.user-table td {
  padding: 10px;
  text-align: left;
  border-bottom: 1px solid #dddddd42;
}
.user-table td {
  word-wrap: break-word;
  max-width: 100px;
}

.user-table th {
  background-color: #08d5f9;
  position: sticky;
  top: 0;
  z-index: 1;
}

.user-table tbody tr:nth-child(even) {
  background-color: #f2f2f24f;
}

.user-table tbody tr:hover {
  background-color: #0da9c55d;
}
